# Not building for scl rigth now
%undefine scl_prefix
%global scl_ruby /usr/bin/ruby

Name: katello-installer
Version: 0.0.67
Release: 1%{?dist}
Summary: Puppet-based installer for the Katello and Katello Capsule
Group: Applications/System
License: GPLv3+ and ASL 2.0
URL: http://katello.org
Source0: %{name}-%{version}.tar.gz

BuildArch: noarch

Requires: %{?scl_prefix}rubygem-kafo
Requires: %{?scl_prefix}rubygem-apipie-bindings >= 0.0.6
Requires: foreman-selinux

%description
A set of tools for installation of Katello and Katello Capsule,
including Foreman and Foreman Proxy.

%prep
%setup -q

%build
#replace shebangs
sed -ri '1sX(/usr/bin/ruby|/usr/bin/env ruby)X%{scl_ruby}X' bin/*

#configure the paths
sed -ri 'sX\./configX%{_sysconfdir}/%{name}Xg' bin/* config/*
sed -ri 'sX\:installer_dir.*$X:installer_dir: %{_datadir}/%{name}Xg' config/*
sed -ri 'sX\:modules_dir.*$X:modules_dir: %{_datadir}/%{name}/modulesXg' config/*
sed -ri 'sX\:hooks_dir.*$X:hooks_dir: %{_datadir}/%{name}/hooksXg' config/*

%install
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m0755 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m0755 %{buildroot}/%{_datadir}/%{name}
install -d -m0755 %{buildroot}/%{_sbindir}
cp -dpR bin modules hooks checks %{buildroot}/%{_datadir}/%{name}
cp -dpR config/* %{buildroot}/%{_sysconfdir}/%{name}
ln -sf %{_datadir}/%{name}/bin/katello-installer %{buildroot}/%{_sbindir}/katello-installer
ln -sf %{_datadir}/%{name}/bin/katello-devel-installer %{buildroot}/%{_sbindir}/katello-devel-installer
ln -sf %{_datadir}/%{name}/bin/capsule-installer %{buildroot}/%{_sbindir}/capsule-installer
ln -sf %{_datadir}/%{name}/bin/capsule-certs-generate %{buildroot}/%{_sbindir}/capsule-certs-generate

%files
%defattr(-,root,root,-)
%doc README.*
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%dir %{_localstatedir}/log/%{name}
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/answers.katello-installer.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/answers.katello-devel-installer.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/answers.capsule-certs-generate.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/answers.capsule-installer.yaml
%config %{_sysconfdir}/%{name}/config_header.txt
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/katello-installer.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/katello-devel-installer.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/capsule-certs-generate.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/capsule-installer.yaml
%{_sbindir}/katello-installer
%{_sbindir}/katello-devel-installer
%{_sbindir}/capsule-installer
%{_sbindir}/capsule-certs-generate

%changelog
* Thu Dec 11 2014 Jason Montleon <jmontleo@redhat.com> 0.0.67-1
- Fixes #8444 - Expose cdn_ssl_version as an installer (paji@redhat.com)
- initial commit (mmccune@redhat.com)

* Tue Dec 09 2014 Jason Montleon <jmontleo@redhat.com> 0.0.66-1
- fixes #8378 - set umask to required value for installaton
  (stbenjam@redhat.com)

* Tue Dec 09 2014 Jason Montleon <jmontleo@redhat.com> 0.0.65-1
- fixes #7943 - adding validator to check for proxy url (jsherril@redhat.com)

* Fri Aug 29 2014 Jason Montleon <jmontleo@redhat.com> 0.0.64-1
- fixes #7296, BZ1135127 - update pulp module (bbuckingham@redhat.com)

* Thu Aug 28 2014 Jason Montleon <jmontleo@redhat.com> 0.0.63-1
- refs #7104 - update service_wait module (bbuckingham@redhat.com)

* Wed Aug 27 2014 Jason Montleon <jmontleo@redhat.com> 0.0.62-1
- Fixes #7104,7239 - update certs and service_wait modules (inecas@redhat.com)
- Merge branch 'SATELLITE-6.0.4' of gitlab.sat.lab.tlv.redhat.com:satellite6
  /katello-installer into SATELLITE-6.0.4 (jmontleo@redhat.com)
- refs #7264 - update puppet-elasticsearch module (bbuckingham@redhat.com)
- refs #7264 - check for java, unless installing for capsule & update
  elasticsearch (bbuckingham@redhat.com)
- Fixes #7263 - make sure the ip address from interfaces is valid
  (inecas@redhat.com)

* Fri Aug 22 2014 Jason Montleon <jmontleo@redhat.com> 0.0.61-1
- fixes #7108 - if using pulp at all, override both pulp and pulpnode settings
  (jsherril@redhat.com)
- fixes #7210 - make sure the Package['pulp-server'] is defined
  (jsherril@redhat.com)

* Wed Aug 20 2014 Jason Montleon <jmontleo@redhat.com> 0.0.60-1
- fixes #7145 - do not try to use ipv6 for service-wait network checks
  (jsherril@redhat.com)
- fixes #7150 - stop elasticsearch before resetting data (jsherril@redhat.com)
- Merge branch 'SATELLITE-6.0.4' of gitlab.sat.lab.tlv.redhat.com:satellite6
  /katello-installer into SATELLITE-6.0.4 (jmontleo@redhat.com)
- Refs #6297 - update puppet-katello module (inecas@redhat.com)
- Refs #6297 - use foreman-tasks instead of katello-jobs (inecas@redhat.com)
- Fixes #7077, #7006: update puppet-pulp module. (walden@redhat.com)
- Refs #6875,#7115 - Update pulp,certs and capsule module (inecas@redhat.com)
- Fixes #6875 - Ability to pass own server certs for apache and smart-proxy
  (inecas@redhat.com)
- fixes #7029,7007 - updating pulp-certs module (jsherril@redhat.com)

* Wed Aug 13 2014 Jason Montleon <jmontleo@redhat.com> 0.0.59-1
- refs #6330 - adding default option for pulp_master (jsherril@redhat.com)

* Wed Aug 13 2014 Jason Montleon <jmontleo@redhat.com> 0.0.58-1
- Fixes #6927 - move checks on pulp capsule preconditions to pre_validate hook
  (inecas@redhat.com)
- Added foreman-selinux as hard dependency (jmontleo@redhat.com)
- Fixes #6823 : Use kilobytes instead of human readable strings and be more
  permissive if mongo already exists (bkearney@redhat.com)

* Wed Aug 06 2014 Jason Montleon <jmontleo@redhat.com> 0.0.57-1
- refs #6698, #6491 update katello common and capsule modules
  (stbenjam@redhat.com)
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #86 from bkearney/bkearney/6675 (ericdhelms@gmail.com)
- Merge pull request #84 from ehelms/fixes-6530 (ericdhelms@gmail.com)
- Fixes #6530: Update proxy configurations for Pulp. (ericdhelms@gmail.com)
- Refs #6445 - Foreman update (mhulan@redhat.com)
- Fixes #6675: Verify that the hostname is all lowercase before starting the
  installation. (bkearney@redhat.com)
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Refs #6126: Updates to include setting RHSM url to /rhsm
  (ericdhelms@gmail.com)

* Wed Jul 16 2014 Jason Montleon <jmontleo@redhat.com> 0.0.56-1
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #80 from ehelms/fixes-6458 (ericdhelms@gmail.com)
- Fixes #6278 : Add additional checks to the installer. (bkearney@redhat.com)
- Fixes #6458: Update Foreman modules to allow setting user parameters.
  (ericdhelms@gmail.com)

* Tue Jul 15 2014 Jason Montleon <jmontleo@redhat.com> 0.0.55-1
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Refs #6418 - Fix keytool use for Java 6 compatibility. (awood@redhat.com)

* Wed Jul 09 2014 Jason Montleon <jmontleo@redhat.com> 0.0.54-1
- update releasers (jmontleo@redhat.com)
- Fixes 5599: Set certs expiration to 20 years. (ericdhelms@gmail.com)
- Refs #6148: Add Candlepin/Qpid integration. (awood@redhat.com)
- Fixes #4650,#6359 - sets consumer rpm katello.yml (dtsang@redhat.com)
- Refs #6360 - Updated pulp module to include selinux fix (lzap+git@redhat.com)

* Wed Jan 22 2014 Eric D Helms <ehelms@redhat.com> 0.0.19-1
- new package built with tito

* Tue Oct 22 2013 Unknown name <inecas@redhat.com> 0.0.18-1
- 1021119 - make sure private keys are never world readable (inecas@redhat.com)
- Document the parameters of the pulp class (shk@redhat.com)
- 1020975 - do not create node cert repos with a url (jsherril@redhat.com)

* Tue Oct 15 2013 Ivan Necas <inecas@redhat.com>
- Update foreman puppet modules (inecas@redhat.com)
- 1017449: Updating pulp server.conf (daviddavis@redhat.com)

* Fri Oct 11 2013 Unknown name <inecas@redhat.com> 0.0.16-1
- 1017074 - correctly set the flags for config files in spec
  (inecas@redhat.com)
- Update the modules to Foreman 1.3-rc4 (inecas@redhat.com)

* Wed Oct 02 2013 Ivan Necas <inecas@redhat.com> 0.0.15-1
- Merge pull request #2 from domcleal/tftp_servername (inecas@redhat.com)
- 975166 - expose tftp_servername (dcleal@redhat.com)
- Fix indentation (dcleal@redhat.com)

* Wed Oct 02 2013 Ivan Necas <inecas@redhat.com> 0.0.14-1
- Install pulp-puppet-plugins to support puppet content on child
  (inecas@redhat.com)

* Wed Oct 02 2013 Ivan Necas <inecas@redhat.com> 0.0.13-1
- Properly set the owner for /etc/puppet/environments (inecas@redhat.com)

* Fri Sep 27 2013 Ivan Necas <inecas@redhat.com> 0.0.12-1
- Make sure goferd is restarted when server.conf changes (inecas@redhat.com)

* Fri Sep 27 2013 Ivan Necas <inecas@redhat.com> 0.0.11-1
- Update the configuration for pulp-2.3 (inecas@redhat.com)

* Tue Sep 24 2013 Ivan Necas <inecas@redhat.com> 0.0.10-1
- 1009964 - Revert "Workaround for #3080 - install foreman-selinux whenever
  passenger is used" (inecas@redhat.com)

* Mon Sep 23 2013 Ivan Necas <inecas@redhat.com> 0.0.9-1
- Sanitize Katello output (inecas@redhat.com)

* Wed Sep 18 2013 Ivan Necas <inecas@redhat.com> 0.0.8-1
- Paremetrize dns zone name (inecas@redhat.com)

* Tue Sep 17 2013 Ivan Necas <inecas@redhat.com> 0.0.7-1
- Make sure the CA is deployed to foreman before registering the smart proxy
  (inecas@redhat.com)

* Tue Sep 17 2013 Ivan Necas <inecas@redhat.com> 0.0.6-1
- Whitespace (inecas@redhat.com)
- No services installed by default (inecas@redhat.com)
- Certs for foreman, smart-proxy and puppetmaster (inecas@redhat.com)
- Ability to install foreman-proxy specific tools on master (inecas@redhat.com)
- Don't register in foreman unless specified explicitly (inecas@redhat.com)
- Use yum to install the package when not available locally (inecas@redhat.com)
- Basic katello_repo and katello_activation_key provider (inecas@redhat.com)
- Always generate all the certs that could be used by the node
  (inecas@redhat.com)

* Fri Sep 13 2013 Ivan Necas <inecas@redhat.com> 0.0.5-1
- Support for installing puppet server and CA (inecas@redhat.com)
* Thu Sep 12 2013 Ivan Necas <inecas@redhat.com> 0.0.4-1
- Don't save answers for node-certs-generate (inecas@redhat.com)
- Make sure oauth secret is set when registering foreman proxy
  (inecas@redhat.com)
- Make sure the system is registered to katello only when installing pulp node
  (inecas@redhat.com)
- first cut on foreman-proxy installation (inecas@redhat.com)
- Get submodules from foreman-installer (inecas@redhat.com)

* Mon Sep 09 2013 Ivan Necas <inecas@redhat.com> 0.0.3-1
- Fix generating certs on master (inecas@redhat.com)

* Mon Sep 09 2013 Ivan Necas <inecas@redhat.com> 0.0.2-1
- Random password for the pulp admin (inecas@redhat.com)
- Validate params (inecas@redhat.com)
- Set up releasers (inecas@redhat.com)
- Set the zero exit code if everything's fine (inecas@redhat.com)

* Wed Sep 04 2013 Ivan Necas <inecas@redhat.com> 0.0.1-1
- new package built with tito

